/// @cond EO_CXX_EO_IMPL

inline void elm::box::pack_end(::evas::object subobj_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_end(::efl::eolian::to_c(subobj_)));
}

inline void elm::box::unpack_all() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_unpack_all());
}

inline void elm::box::unpack(::evas::object subobj_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_unpack(::efl::eolian::to_c(subobj_)));
}

inline void elm::box::pack_after(::evas::object subobj_, ::evas::object after_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_after(::efl::eolian::to_c(subobj_), ::efl::eolian::to_c(after_)));
}

inline void elm::box::pack_start(::evas::object subobj_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_start(::efl::eolian::to_c(subobj_)));
}

inline void elm::box::recalculate() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_recalculate());
}

inline void elm::box::pack_before(::evas::object subobj_, ::evas::object before_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_before(::efl::eolian::to_c(subobj_), ::efl::eolian::to_c(before_)));
}

inline void elm::box::clear() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_clear());
}

inline bool elm::box::homogeneous_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_box_homogeneous_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::box::homogeneous_set(bool homogeneous_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_homogeneous_set(::efl::eolian::to_c(homogeneous_)));
}

inline void elm::box::align_get(double* horizontal_, double* vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_align_get(horizontal_, vertical_));
}

inline void elm::box::align_set(double horizontal_, double vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_align_set(horizontal_, vertical_));
}

inline bool elm::box::horizontal_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_box_horizontal_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::box::horizontal_set(bool horizontal_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_horizontal_set(::efl::eolian::to_c(horizontal_)));
}

inline void elm::box::padding_get(Evas_Coord* horizontal_, Evas_Coord* vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_padding_get(horizontal_, vertical_));
}

inline void elm::box::padding_set(Evas_Coord horizontal_, Evas_Coord vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_padding_set(horizontal_, vertical_));
}

inline void elm::box::layout_set(Evas_Object_Box_Layout cb_, const void * data_, Ecore_Cb free_data_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_layout_set(cb_, data_, free_data_));
}

inline ::efl::eina::list< ::evas::object > elm::box::children_get() const
{
   Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_box_children_get());
   return ::efl::eolian::to_cxx<::efl::eina::list< ::evas::object >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
}

inline void eo_cxx::elm::box::pack_end(::evas::object subobj_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_end(::efl::eolian::to_c(subobj_)));
}

inline void eo_cxx::elm::box::unpack_all() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_unpack_all());
}

inline void eo_cxx::elm::box::unpack(::evas::object subobj_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_unpack(::efl::eolian::to_c(subobj_)));
}

inline void eo_cxx::elm::box::pack_after(::evas::object subobj_, ::evas::object after_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_after(::efl::eolian::to_c(subobj_), ::efl::eolian::to_c(after_)));
}

inline void eo_cxx::elm::box::pack_start(::evas::object subobj_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_start(::efl::eolian::to_c(subobj_)));
}

inline void eo_cxx::elm::box::recalculate() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_recalculate());
}

inline void eo_cxx::elm::box::pack_before(::evas::object subobj_, ::evas::object before_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_pack_before(::efl::eolian::to_c(subobj_), ::efl::eolian::to_c(before_)));
}

inline void eo_cxx::elm::box::clear() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_clear());
}

inline bool eo_cxx::elm::box::homogeneous_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_box_homogeneous_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::box::homogeneous_set(bool homogeneous_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_homogeneous_set(::efl::eolian::to_c(homogeneous_)));
}

inline void eo_cxx::elm::box::align_get(double* horizontal_, double* vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_align_get(horizontal_, vertical_));
}

inline void eo_cxx::elm::box::align_set(double horizontal_, double vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_align_set(horizontal_, vertical_));
}

inline bool eo_cxx::elm::box::horizontal_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_box_horizontal_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::box::horizontal_set(bool horizontal_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_horizontal_set(::efl::eolian::to_c(horizontal_)));
}

inline void eo_cxx::elm::box::padding_get(Evas_Coord* horizontal_, Evas_Coord* vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_padding_get(horizontal_, vertical_));
}

inline void eo_cxx::elm::box::padding_set(Evas_Coord horizontal_, Evas_Coord vertical_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_padding_set(horizontal_, vertical_));
}

inline void eo_cxx::elm::box::layout_set(Evas_Object_Box_Layout cb_, const void * data_, Ecore_Cb free_data_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_box_layout_set(cb_, data_, free_data_));
}

inline ::efl::eina::list< ::evas::object > eo_cxx::elm::box::children_get() const
{
   Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_box_children_get());
   return ::efl::eolian::to_cxx<::efl::eina::list< ::evas::object >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
}

inline ::eo_cxx::elm::box::operator ::elm::box() const
{
   return *static_cast<::elm::box const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::box::operator ::elm::box&()
{
   return *static_cast<::elm::box*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::box::operator ::elm::box const&() const
{
   return *static_cast<::elm::box const*>(static_cast<void const*>(this));
}

template <typename T>
void elm_box_pack_end_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Object * subobj_)
{
   try
      {
         static_cast<T*>(self->this_)->pack_end(::efl::eolian::to_cxx<::evas::object>(subobj_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_unpack_all_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->unpack_all();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_unpack_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Object * subobj_)
{
   try
      {
         static_cast<T*>(self->this_)->unpack(::efl::eolian::to_cxx<::evas::object>(subobj_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_pack_after_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Object * subobj_, Evas_Object * after_)
{
   try
      {
         static_cast<T*>(self->this_)->pack_after(::efl::eolian::to_cxx<::evas::object>(subobj_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(after_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_pack_start_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Object * subobj_)
{
   try
      {
         static_cast<T*>(self->this_)->pack_start(::efl::eolian::to_cxx<::evas::object>(subobj_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_recalculate_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->recalculate();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_pack_before_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Object * subobj_, Evas_Object * before_)
{
   try
      {
         static_cast<T*>(self->this_)->pack_before(::efl::eolian::to_cxx<::evas::object>(subobj_, std::tuple<std::false_type>()), ::efl::eolian::to_cxx<::evas::object>(before_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_clear_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->clear();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_box_homogeneous_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->homogeneous_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_box_homogeneous_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool homogeneous_)
{
   try
      {
         static_cast<T*>(self->this_)->homogeneous_set(::efl::eolian::to_cxx<bool>(homogeneous_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_align_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double* horizontal_, double* vertical_)
{
   try
      {
         static_cast<T*>(self->this_)->align_get(horizontal_, vertical_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_align_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double horizontal_, double vertical_)
{
   try
      {
         static_cast<T*>(self->this_)->align_set(horizontal_, vertical_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_box_horizontal_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->horizontal_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_box_horizontal_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool horizontal_)
{
   try
      {
         static_cast<T*>(self->this_)->horizontal_set(::efl::eolian::to_cxx<bool>(horizontal_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_padding_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Coord* horizontal_, Evas_Coord* vertical_)
{
   try
      {
         static_cast<T*>(self->this_)->padding_get(horizontal_, vertical_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_padding_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Coord horizontal_, Evas_Coord vertical_)
{
   try
      {
         static_cast<T*>(self->this_)->padding_set(horizontal_, vertical_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_box_layout_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Object_Box_Layout cb_, const void * data_, Ecore_Cb free_data_)
{
   try
      {
         static_cast<T*>(self->this_)->layout_set(cb_, data_, free_data_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::efl::eina::list< ::evas::object > elm_box_children_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->children_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_List * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::list< ::evas::object >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::box >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::widget >::template type<T>
   {
      virtual void pack_end(::evas::object subobj_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_pack_end(::efl::eolian::to_c(subobj_)));
      }

      virtual void unpack_all()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_unpack_all());
      }

      virtual void unpack(::evas::object subobj_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_unpack(::efl::eolian::to_c(subobj_)));
      }

      virtual void pack_after(::evas::object subobj_, ::evas::object after_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_pack_after(::efl::eolian::to_c(subobj_), ::efl::eolian::to_c(after_)));
      }

      virtual void pack_start(::evas::object subobj_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_pack_start(::efl::eolian::to_c(subobj_)));
      }

      virtual void recalculate()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_recalculate());
      }

      virtual void pack_before(::evas::object subobj_, ::evas::object before_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_pack_before(::efl::eolian::to_c(subobj_), ::efl::eolian::to_c(before_)));
      }

      virtual void clear()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_clear());
      }

      virtual bool homogeneous_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_box_homogeneous_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void homogeneous_set(bool homogeneous_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_homogeneous_set(::efl::eolian::to_c(homogeneous_)));
      }

      virtual void align_get(double* horizontal_, double* vertical_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_align_get(horizontal_, vertical_));
      }

      virtual void align_set(double horizontal_, double vertical_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_align_set(horizontal_, vertical_));
      }

      virtual bool horizontal_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_box_horizontal_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void horizontal_set(bool horizontal_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_horizontal_set(::efl::eolian::to_c(horizontal_)));
      }

      virtual void padding_get(Evas_Coord* horizontal_, Evas_Coord* vertical_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_padding_get(horizontal_, vertical_));
      }

      virtual void padding_set(Evas_Coord horizontal_, Evas_Coord vertical_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_padding_set(horizontal_, vertical_));
      }

      virtual void layout_set(Evas_Object_Box_Layout cb_, const void * data_, Ecore_Cb free_data_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_box_layout_set(cb_, data_, free_data_));
      }

      virtual ::efl::eina::list< ::evas::object > children_get()
      {
         Eina_List * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_box_children_get());
            return ::efl::eolian::to_cxx<::efl::eina::list< ::evas::object >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
      }

   };
};


template<>
struct operation_description_class_size< ::elm::box >
{
   static constexpr int value = 
#if defined(BOX_PROTECTED) && defined(BOX_BETA)
      18
#elif defined(BOX_PROTECTED)
      18
#elif defined(BOX_BETA)
      18
#else
      18
#endif
      + operation_description_class_size<::elm::widget >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::box>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_box_pack_end_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_pack_end);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_unpack_all_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_unpack_all);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_unpack_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_unpack);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_pack_after_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_pack_after);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_pack_start_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_pack_start);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_recalculate_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_recalculate);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_pack_before_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_pack_before);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_clear_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_clear);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_homogeneous_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_homogeneous_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_homogeneous_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_homogeneous_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_align_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_align_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_align_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_align_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_horizontal_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_horizontal_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_horizontal_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_horizontal_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_padding_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_padding_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_padding_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_padding_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_layout_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_layout_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_box_children_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_box_children_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::widget>(), &ops[operation_description_class_size< ::elm::box >::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::box>)
{
   return (ELM_BOX_CLASS);
}

} } }

/// @endcond

